<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('paket_lelangs', function (Blueprint $table) {
            $table->id();
            $table->string('id_paket')->unique();
            $table->string('nama_paket');
            $table->integer('tahun');
            $table->date('deadline')->nullable();
            $table->text('catatan')->nullable();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('paket_lelangs');
    }
};
